## Generated Makefile for Win32 / Microsoft Visual C++

    #############################################################################
    # Makefile for building hello
    # Generated by tmake at 20:40, 1998/02/27
    #     Project: hello
    #    Template: app
    #############################################################################

    ####### Compiler, tools and options

    CC	=	cl
    CFLAGS	=	-nologo -W3 -O2
    INCPATH	=	-I"$(QTDIR)\include"
    LINK	=	link
    LFLAGS	=	/NOLOGO /SUBSYSTEM:windows
    LIBS	=	$(QTDIR)\lib\qt.lib user32.lib gdi32.lib comdlg32.lib wsock32.lib
    MOC	=	moc

    ####### Files

    HEADERS =	hello.h
    SOURCES =	hello.cpp \
    		main.cpp
    OBJECTS =	hello.obj \
    		main.obj
    SRCMOC	=	moc_hello.cpp
    OBJMOC	=	moc_hello.obj
    TARGET	=	hello.exe

    ####### Implicit rules

    .SUFFIXES: .cpp .cxx .cc .c

    .cpp.obj:
    	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

    .cxx.obj:
    	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

    .cc.obj:
    	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

    .c.obj:
    	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

    ####### Build rules

    all: $(TARGET)

    $(TARGET): $(OBJECTS) $(OBJMOC)
    	$(LINK) $(LFLAGS) /OUT:$(TARGET) @<<
    	    $(OBJECTS) $(OBJMOC) $(LIBS)
    <<

    moc: $(SRCMOC)

    tmake: Makefile

    Makefile: hello.pro
    	tmake hello.pro -o Makefile

    clean:
    	-del hello.obj
    	-del main.obj
    	-del moc_hello.cpp
    	-del moc_hello.obj
    	-del $(TARGET)

    ####### Compile

    hello.obj: hello.cpp \
    		hello.h

    main.obj: main.cpp \
    		hello.h

    moc_hello.obj: moc_hello.cpp \
    		hello.h

    moc_hello.cpp: hello.h
    	$(MOC) hello.h -o moc_hello.cpp